Subject: bug#9040: 24.0.50; wrong type argument: listp t when invoking org-ctrl-c-ctrl-c

From: martin rudalics <[email-masked]>
Date: Mon, 11 Jul 2011 11:42:23 +0200

> I've discovered a problem with org-mode on the trunk version of emacs;
 > typing ctrl-c ctrl-c to add a tag results in "Wrong type argument:
 > listp, t".
 >
 > Here are steps to reproduce:
 >
 > (1) Place the following in a file named "foo.org" (not including the
 > lines of "=" signs.)
 >
 > ==================================================================
 > # -*- mode: org; -*-
 >
 > #+STARTUP: logdone
 > #+TAGS: bb(b) dw(d) holiday(a) meeting(m) note(n) q(q) releng(r)
 > sysadmin(s) eng(e) other(o)
 >
 > * Top level
 > ** second level 1
 > *** third level
 > 1                                                         :b:
 >     CLOCK: [2011-07-10 Sun 12:44]--[2011-07-10 Sun 12:44] =>  0:00
 >
 > ** second level 2
 > *** third level
 > 2                                                         :b:
 >     CLOCK: [2011-07-10 Sun 12:46]
 >
 > material for third level
 > ==================================================================
 >
 > (2) Open foo.org with emacs:
 >
 >     emacs -Q foo.org
 >
 > (3) place point in the first column of "third level 2" (line 12).
 >
 > (3) Attempt to add the "meeting" tag to line 12 by typing "C-c C-c m
 > RET".
 >
 > Expected behavior: after typing C-c C-c, org mode should present a
 > list of pre-defined tags.  Emacs 23.3 exhibits this behavior.
 >
 > Observed behavior: typing C-c C-c produces the following message in the
 > minibuffer: Wrong type argument: listp, t

Thanks for the fine report.  Unfortunately, I can't reproduce this since
the text following "Top level" is hidden here.  foo.org appears as

# -*- mode: org; -*-

#+STARTUP: logdone
#+TAGS: bb(b) dw(d) holiday(a) meeting(m) note(n) q(q) releng(r) sysadmin(s) eng(e) other(o)

* Top level

If I manually insert its text into a new buffer foo.org. the buffer after
step (3) looks like

# -*- mode: org; -*-

#+STARTUP: logdone
#+TAGS: bb(b) dw(d) holiday(a) meeting(m) note(n) q(q) releng(r) sysadmin(s) eng(e) other(o)

* Top level
** second level 1
*** third level	1 							  :b:
     CLOCK: [2011-07-10 Sun 12:44]--[2011-07-10 Sun 12:44] =>  0:00

** second level 2
*** third level 2						  :meeting:b:
     CLOCK: [2011-07-10 Sun 12:46]

material for third level

which is probably the expected behavior.  What shall I do?

 > ---------------------------------
 > $ bzr version-info
 > revision-id: [email-masked]
 > date: 2011-07-09 14:32:38 +0200
 > build-date: 2011-07-10 12:53:42 -0400
 > revno: 105058
 > branch-nick: trunk
 > ---------------------------------

Chong has fixed some silliness in that code, so maybe this has been
fixed already.  Please upgrade.

 > display-buffer: Wrong type argument: listp, t
 > Quit [2 times]
 > display-buffer: Wrong type argument: listp, t

If the error persists, could you try to edebug `display-buffer' before
org calls it and tell me the value of "normalized" calculated in these
lines:

	 (normalized
	  ;; Normalize specifiers.
	  (display-buffer-normalize-specifiers buffer-name specifiers label))

Thanks, martin